#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1666\r"; sleep 2;
echo -e "write (0,1) -1552\r"; sleep 2;
echo -e "write (0,2) -1600\r"; sleep 2;
echo -e "write (0,3) -1637\r"; sleep 2;
echo -e "write (0,4) -1588\r"; sleep 2;
echo -e "write (0,5) -1644\r"; sleep 2;
echo -e "write (0,6) -1545\r"; sleep 2;
echo -e "write (0,9) -1632\r"; sleep 2;
echo -e "write (0,10) -1464\r"; sleep 2;
echo -e "write (0,11) -1526\r"; sleep 2;
echo -e "write (0,12) -1520\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1692\r"; sleep 2;
echo -e "write (1,0) -1551\r"; sleep 2;
echo -e "write (1,1) -1512\r"; sleep 2;
echo -e "write (1,2) -1564\r"; sleep 2;
echo -e "write (1,3) -1649\r"; sleep 2;
echo -e "write (1,4) -1640\r"; sleep 2;
echo -e "write (1,5) -1510\r"; sleep 2;
echo -e "write (1,6) -1599\r"; sleep 2;
echo -e "write (1,9) -1404\r"; sleep 2;
echo -e "write (1,10) -1535\r"; sleep 2;
echo -e "write (1,11) -1347\r"; sleep 2;
echo -e "write (1,12) -1537\r"; sleep 2;
echo -e "write (1,13) -1446\r"; sleep 2;
echo -e "write (1,14) -1524\r"; sleep 2;
echo -e "write (2,0) -1630\r"; sleep 2;
echo -e "write (2,1) -1566\r"; sleep 2;
echo -e "write (2,2) -1572\r"; sleep 2;
echo -e "write (2,3) -1652\r"; sleep 2;
echo -e "write (2,4) -1678\r"; sleep 2;
echo -e "write (2,5) -1649\r"; sleep 2;
echo -e "write (2,6) -1515\r"; sleep 2;
echo -e "write (2,9) -1684\r"; sleep 2;
echo -e "write (2,10) -1630\r"; sleep 2;
echo -e "write (2,11) -1335\r"; sleep 2;
echo -e "write (2,12) -1569\r"; sleep 2;
echo -e "write (2,14) -1692\r"; sleep 2;
echo -e "write (3,0) -1545\r"; sleep 2;
echo -e "write (3,1) -1398\r"; sleep 2;
echo -e "write (3,2) -1408\r"; sleep 2;
echo -e "write (3,3) -1655\r"; sleep 2;
echo -e "write (3,4) -1417\r"; sleep 2;
echo -e "write (3,5) -1631\r"; sleep 2;
echo -e "write (3,6) -1258\r"; sleep 2;
echo -e "write (3,9) -1576\r"; sleep 2;
echo -e "write (3,10) -1600\r"; sleep 2;
echo -e "write (3,11) -1479\r"; sleep 2;
echo -e "write (3,12) -1682\r"; sleep 2;
echo -e "write (3,13) -1405\r"; sleep 2;
echo -e "write (3,14) -1590\r"; sleep 2;
echo -e "write (4,0) -1552\r"; sleep 2;
echo -e "write (4,1) -1553\r"; sleep 2;
echo -e "write (4,2) -1596\r"; sleep 2;
echo -e "write (4,3) -1658\r"; sleep 2;
echo -e "write (4,4) -1642\r"; sleep 2;
echo -e "write (4,5) -1405\r"; sleep 2;
echo -e "write (4,6) -1416\r"; sleep 2;
echo -e "write (4,9) -1551\r"; sleep 2;
echo -e "write (4,10) -1633\r"; sleep 2;
echo -e "write (4,11) -1546\r"; sleep 2;
echo -e "write (4,12) -1647\r"; sleep 2;
echo -e "write (4,13) -1556\r"; sleep 2;
echo -e "write (4,14) -1436\r"; sleep 2;
echo -e "write (5,0) -1608\r"; sleep 2;
echo -e "write (5,1) -1463\r"; sleep 2;
echo -e "write (5,2) -1420\r"; sleep 2;
echo -e "write (5,3) -1437\r"; sleep 2;
echo -e "write (5,4) -1657\r"; sleep 2;
echo -e "write (5,5) -1588\r"; sleep 2;
echo -e "write (5,6) -1581\r"; sleep 2;
echo -e "write (5,9) -1402\r"; sleep 2;
echo -e "write (5,10) -1661\r"; sleep 2;
echo -e "write (5,11) -1414\r"; sleep 2;
echo -e "write (5,12) -1497\r"; sleep 2;
echo -e "write (5,13) -1618\r"; sleep 2;
echo -e "write (5,14) -1658\r"; sleep 2;
echo -e "write (6,0) -1650\r"; sleep 2;
echo -e "write (6,1) -1679\r"; sleep 2;
echo -e "write (6,2) -1497\r"; sleep 2;
echo -e "write (6,3) -1590\r"; sleep 2;
echo -e "write (6,4) -1430\r"; sleep 2;
echo -e "write (6,5) -1325\r"; sleep 2;
echo -e "write (6,6) -1549\r"; sleep 2;
echo -e "write (6,9) -1673\r"; sleep 2;
echo -e "write (6,10) -1611\r"; sleep 2;
echo -e "write (6,11) -1553\r"; sleep 2;
echo -e "write (6,12) -1515\r"; sleep 2;
echo -e "write (6,13) -1551\r"; sleep 2;
echo -e "write (6,14) -1458\r"; sleep 2;
echo -e "write (7,0) -1483\r"; sleep 2;
echo -e "write (7,1) -1444\r"; sleep 2;
echo -e "write (7,2) -1267\r"; sleep 2;
echo -e "write (7,3) -1544\r"; sleep 2;
echo -e "write (7,4) -1600\r"; sleep 2;
echo -e "write (7,5) -1509\r"; sleep 2;
echo -e "write (7,6) -1612\r"; sleep 2;
echo -e "write (7,9) -1430\r"; sleep 2;
echo -e "write (7,10) -1639\r"; sleep 2;
echo -e "write (7,11) -1497\r"; sleep 2;
echo -e "write (7,12) -1351\r"; sleep 2;
echo -e "write (7,13) -1549\r"; sleep 2;
echo -e "write (7,14) -1597\r"; sleep 2;
echo -e "write (8,0) -1233\r"; sleep 2;
echo -e "write (8,1) -1607\r"; sleep 2;
echo -e "write (8,2) -1344\r"; sleep 2;
echo -e "write (8,3) -1532\r"; sleep 2;
echo -e "write (8,4) -1474\r"; sleep 2;
echo -e "write (8,5) -1571\r"; sleep 2;
echo -e "write (8,6) -1621\r"; sleep 2;
echo -e "write (8,9) -1556\r"; sleep 2;
echo -e "write (8,10) -1562\r"; sleep 2;
echo -e "write (8,11) -1600\r"; sleep 2;
echo -e "write (8,12) -1649\r"; sleep 2;
echo -e "write (8,13) -1402\r"; sleep 2;
echo -e "write (8,14) -1641\r"; sleep 2;
echo -e "write (9,0) -1239\r"; sleep 2;
echo -e "write (9,1) -1414\r"; sleep 2;
echo -e "write (9,2) -1254\r"; sleep 2;
echo -e "write (9,3) -1304\r"; sleep 2;
echo -e "write (9,4) -1416\r"; sleep 2;
echo -e "write (9,5) -1587\r"; sleep 2;
echo -e "write (9,6) -1415\r"; sleep 2;
echo -e "write (9,9) -1581\r"; sleep 2;
echo -e "write (9,10) -1222\r"; sleep 2;
echo -e "write (9,11) -1643\r"; sleep 2;
echo -e "write (9,12) -1567\r"; sleep 2;
echo -e "write (9,13) -1413\r"; sleep 2;
echo -e "write (9,14) -1514\r"; sleep 2;
echo -e "write (10,0) -1375\r"; sleep 2;
echo -e "write (10,1) -1492\r"; sleep 2;
echo -e "write (10,2) -1600\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1611\r"; sleep 2;
echo -e "write (10,5) -1532\r"; sleep 2;
echo -e "write (10,6) -1417\r"; sleep 2;
echo -e "write (10,9) -1647\r"; sleep 2;
echo -e "write (10,10) -1663\r"; sleep 2;
echo -e "write (10,11) -1561\r"; sleep 2;
echo -e "write (10,12) -1409\r"; sleep 2;
echo -e "write (10,13) -1647\r"; sleep 2;
echo -e "write (10,14) -1554\r"; sleep 2;
echo -e "write (11,0) -1421\r"; sleep 2;
echo -e "write (11,1) -1242\r"; sleep 2;
echo -e "write (11,2) -1532\r"; sleep 2;
echo -e "write (11,3) -1505\r"; sleep 2;
echo -e "write (11,4) -1326\r"; sleep 2;
echo -e "write (11,5) -1463\r"; sleep 2;
echo -e "write (11,6) -1613\r"; sleep 2;
echo -e "write (11,9) -1695\r"; sleep 2;
echo -e "write (11,10) -1495\r"; sleep 2;
echo -e "write (11,11) -1336\r"; sleep 2;
echo -e "write (11,12) -1396\r"; sleep 2;
echo -e "write (11,13) -1399\r"; sleep 2;
echo -e "write (11,14) -1532\r"; sleep 2;
echo -e "write (12,0) -1366\r"; sleep 2;
echo -e "write (12,1) -1334\r"; sleep 2;
echo -e "write (12,2) -1410\r"; sleep 2;
echo -e "write (12,3) -1509\r"; sleep 2;
echo -e "write (12,4) -1370\r"; sleep 2;
echo -e "write (12,5) -1485\r"; sleep 2;
echo -e "write (12,6) -1436\r"; sleep 2;
echo -e "write (12,9) -1430\r"; sleep 2;
echo -e "write (12,10) -1449\r"; sleep 2;
echo -e "write (12,11) -1350\r"; sleep 2;
echo -e "write (12,12) -1629\r"; sleep 2;
echo -e "write (12,13) -1637\r"; sleep 2;
echo -e "write (12,14) -1530\r"; sleep 2;
echo -e "write (13,0) -1577\r"; sleep 2;
echo -e "write (13,1) -1628\r"; sleep 2;
echo -e "write (13,2) -1666\r"; sleep 2;
echo -e "write (13,3) -1589\r"; sleep 2;
echo -e "write (13,4) -1600\r"; sleep 2;
echo -e "write (13,5) -1688\r"; sleep 2;
echo -e "write (13,6) -1597\r"; sleep 2;
echo -e "write (13,9) -1317\r"; sleep 2;
echo -e "write (13,10) -1552\r"; sleep 2;
echo -e "write (13,11) -1516\r"; sleep 2;
echo -e "write (13,12) -1531\r"; sleep 2;
echo -e "write (13,13) -1620\r"; sleep 2;
echo -e "write (13,14) -1586\r"; sleep 2;
echo -e "write (14,0) -1508\r"; sleep 2;
echo -e "write (14,1) -1475\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1666\r"; sleep 2;
echo -e "write (14,4) -1509\r"; sleep 2;
echo -e "write (14,5) -1436\r"; sleep 2;
echo -e "write (14,6) -1221\r"; sleep 2;
echo -e "write (14,9) -1487\r"; sleep 2;
echo -e "write (14,10) -1300\r"; sleep 2;
echo -e "write (14,11) -1374\r"; sleep 2;
echo -e "write (14,12) -1545\r"; sleep 2;
echo -e "write (14,13) -1480\r"; sleep 2;
echo -e "write (14,14) -1266\r"; sleep 2;
echo -e "write (15,0) -1472\r"; sleep 2;
echo -e "write (15,1) -1313\r"; sleep 2;
echo -e "write (15,2) -1279\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../log/fms_hvon_7006_$t.tex
echo Set new HV
cat ../log/fms_hvon_7006_$t.tex
